package com.bartoszwalter.students.bank.operation.impl;

import com.bartoszwalter.students.bank.BankingException;
import com.bartoszwalter.students.bank.model.Account;
import com.bartoszwalter.students.bank.operation.Operation;

public class Income implements Operation {
	
	private Account acc;
	private int value;

	public Income(Account acc, int value) {
		this.acc = acc;
		this.value = value;
	}

	@Override
	public void execute() throws BankingException {
		acc.credit(value);
		acc.addHistory(this);
	}
	
	public String toString() {
		return "Rachunek: " + acc.id() + " wpłata: " + value;
	}

	@Override
	public String id() {
		return "IN";
	}

}
