package com.bartoszwalter.students.bank.operation.impl;

import com.bartoszwalter.students.bank.BankingException;
import com.bartoszwalter.students.bank.model.Account;
import com.bartoszwalter.students.bank.operation.Operation;

public class InterestCapitalization implements Operation {
	
	private Account acc;
	private int interest = 0;

	public InterestCapitalization(Account acc) {
		this.acc = acc;
	}

	@Override
	public void execute() throws BankingException {
		int interest = acc.calculateInterest();
		acc.credit(interest);
		
		acc.addHistory(this);
	}
	
	public String toString() {
		return "Rachunek: " + acc.id() + " odsetki: " + interest;
	}

	@Override
	public String id() {
		return "CAP";
	}

}
