package com.bartoszwalter.students.bank.operation.impl;

import com.bartoszwalter.students.bank.BankingException;
import com.bartoszwalter.students.bank.model.Account;
import com.bartoszwalter.students.bank.operation.Operation;

public class Transfer implements Operation {
	
	private Account from;
	private Account to;
	private int value;

	public Transfer(Account from, Account to, int value) {
		this.from = from;
		this.to = to;
		this.value = value;
	}

	@Override
	public void execute() throws BankingException {
		from.debit(value);
		to.credit(value);
		
		from.addHistory(this);
		to.addHistory(this);
	}
	
	public String toString() {
		return "Z rachunku: " + from.id() + " na rachunek: " + to.id() + " przelew: " + value;
	}

	@Override
	public String id() {
		return "TRAN";
	}

}
